<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/installation.php';

$database = new Database();
$db = $database->getConnection();
 
$installation = new Installation($db);
$data = json_decode(file_get_contents("php://input"));

$installation->id_no_old = $data->id_no_old;
$installation->id_no_new = $data->id_no_new;
$installation->slot_id = $data->slot_id;
$installation->pon_port = $data->pon_port;
$installation->odb = $data->odb;
$installation->service_port = $data->service_port;


if($data->id_no_new){

	if($installation->checkidno()){
		$msg_arr = array(
				"message" => "duplicate"
			);
	}else{
		if($installation->updateIDNO()){
			$msg_arr = array(
				"message" => "updated"
			);
		}else{
			$msg_arr = array(
				"message" => "error"
			);
		}
	}


}
echo json_encode($msg_arr);
?>	